## org.apache.axis.types
Class Id

    java.lang.Object
      |
      +--org.apache.axis.types.NormalizedString
            |
            +--org.apache.axis.types.Token
                  |
                  +--org.apache.axis.types.Name
                        |
                        +--org.apache.axis.types.NCName
                              |
                              +--org.apache.axis.types.Id

All Implemented Interfaces:
  java.io.Serializable

public class Id
extends NCName

Custom class for supporting XSD data type ID The base type of Id is NCName.

Author:
  Eddie Pick <eddie@pick.eu.org>
See Also:
  XML Schema 3.3.8, Serialized Form

Constructor Summary
`Id()`
`Id(java.lang.String stValue)` ctor for Id

Method Summary
`boolean` `isValid(java.lang.String stValue)` validate the value against the xsd definition Same validation as NCName for the time being

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Id

    public Id()

### Id

    public Id(java.lang.String stValue)
       throws java.lang.IllegalArgumentException

  ctor for Id

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition Same validation as NCName for the time being

  Overrides:
    `isValid` in class `NCName`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.